Last modified: 2014-01-16 04:53:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 58613 - EasyTimeline constructing FSFileBackend with deprecated parameters
EasyTimeline constructing FSFileBackend with deprecated parameters
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
EasyTimeline (Other open bugs)
unspecified
All All
: Low minor (vote)
: ---
Assigned To: Tony Thomas
: easy
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2013-12-18 01:32 UTC by Bawolff (Brian Wolff)
Modified: 2014-01-16 04:53 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Bawolff (Brian Wolff) 2013-12-18 01:32:11 UTC
Deprecated: Use of FileBackend::__construct called without "wikiID". was
deprecated in MediaWiki 1.23. [Called from FileBackendStore::__construct in
/var/www/w/git/includes/filebackend/FileBackendStore.php at line 68] in
/var/www/w/git/includes/debug/Debug.php on line 301

Deprecated: Use of FileBackend::__construct called with non-object
"lockManager". was deprecated in MediaWiki 1.23. [Called from
FileBackendStore::__construct in
/var/www/w/git/includes/filebackend/FileBackendStore.php at line 68] in
/var/www/w/git/includes/debug/Debug.php on line 301

-----

Possibly a good gci bug. Needs to modify wfRenderTimeline(), so that the default
config doesn't create a new FSFileBackend object without specifying wikiID and
a lockManager. The appropriate values are probably just wfWikiId() and new
NullLockManager( array() ) respectively.
Comment 1 Gerrit Notification Bot 2013-12-30 18:37:03 UTC
Change 104536 had a related patch set uploaded by 01tonythomas:
Fix depreciation warnings in FileBackend construction for EasyTimeline

https://gerrit.wikimedia.org/r/104536
Comment 2 Gerrit Notification Bot 2014-01-16 04:53:15 UTC
Change 104536 merged by jenkins-bot:
Fix depreciation warnings in FileBackend construction for EasyTimeline

https://gerrit.wikimedia.org/r/104536

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links